var storage = window.sessionStorage;
//new Grid ID for adding row to a grid
function newRowID(){
	return (new Date()).valueOf();};

function init(){
	//Storage Code below is to be run if the user is not logged in.
	if(storage.getItem('isLoggedIn') == 0 || storage.getItem('isLoggedIn') == null){
		console.log('initGUI Clearing Storage & setting default values.');
		storage.clear();  
		storage.setItem('userName','ksplitt');
		storage.setItem('fullName','ksplitt');
		storage.setItem('projectName','11110');
		storage.setItem('projectTitle','11110');
		storage.setItem('reportID','1');
		storage.setItem('isLoggedIn',0);
		storage.setItem('sessionTime',new Date());
	} else {console.log('initGUI reports user is Logged in.');}
	
	mainLayout = new dhtmlXLayoutObject('main','2E');
	mainLayout.cells('a').setHeight(60);
	mainLayout.forEachItem(function(item){
		item.fixSize(1,1);item.hideHeader();
		});
	mainHeader = mainLayout.cells('a');
	mainBody = mainLayout.cells('b');

		var url = './codebase/connector/db/workThisData2.php?reportID='+storage.getItem('reportID');//+'&action='+action;
		var comboXML = './codebase/connector/db/csiComboData.php';
	
	//header buttons
		formData = [{type:'button', name:'save', value:'Save'},
				  	{type:'newcolumn'},
				    {type:'button', name:'addRow', value:'Add Row'},
					{type:'newcolumn'},
					{type:'button', name:'deleteRow', value:'Delete Selected Rows'},
					{type:'newcolumn'}];
	
	var form = mainHeader.attachForm(formData);
	
	//header button events
		form.attachEvent('onButtonClick',function(id){
			arr = [storage.getItem('reportID'),'','','','']; 
		switch(id){
			case 'save': workThisDP.sendData();
			break;
			case 'addRow': workThisGrid.addRow(newRowID(),arr,workThisGrid.getRowIndex(workThisGrid.getSelectedId())); 
			break;
			case 'deleteRow': workThisGrid.deleteSelectedRows();
			break;}});	
		
		var workThisGrid = mainBody.attachGrid();
		workThisGrid.enableMultiselect(true);
		workThisGrid.enableMultiline(true);
		workThisGrid.setColumnHidden(0,true);
		workThisGrid.setColumnIds('reportID,Division,CSI,Company,Description');
		workThisGrid.setHeader('reportID,Division,CSI,Company,Description');
		workThisGrid.setInitWidths('5,75,160,125,*');
		console.log('Setting Work This Grid to Edit Mode.');	
		workThisGrid.setColTypes('ro,combo,combo,ed,txt');
		workThisGrid.setColAlign('left,left,left,left,left');
		workThisGrid.setColSorting('int,str,str,str,str');
		workThisGrid.init();
		combo = workThisGrid.getColumnCombo(2);
		combo.enableFilteringMode(true);
		combo.loadXML(comboXML);
		workThisGrid.loadXML(url);
		
		var workThisDP = new dataProcessor('./codebase/connector/db/crud/updateWorkThis.php');
		workThisDP.enableDataNames(true);
		workThisDP.setUpdateMode('row');
		workThisDP.init(workThisGrid);
		
		workThisDP.defineAction('invalid',function(response){
			var message = response.getAttribute(response);
			dhtmlx.alert(message);
			return false;
		});
		workThisDP.defineAction('error',function(response){
			var message = response.getAttribute(response);
			dhtmlx.alert(message);
			return true;
			});
	};


